Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.gen
Class InterpreterGenerator.GetterSetterMap

    java.lang.Object
      avrora.core.isdl.gen.InterpreterGenerator.MapRep
          avrora.core.isdl.gen.InterpreterGenerator.GetterSetterMap

Direct Known Subclasses:
  InterpreterGenerator.IORegMap

Enclosing class:
  InterpreterGenerator

protected class InterpreterGenerator.GetterSetterMap
extends InterpreterGenerator.MapRep

Field Summary
`java.lang.String` | `readMeth`
`java.lang.String` | `writeMeth`

Method Summary
`void` | `generateBitRangeWrite(Expr ind, int l, int h, Expr val)`
`void` | `generateBitRead(Expr ind, Expr b)`
`void` | `generateBitWrite(Expr ind, Expr b, Expr val)`
`void` | `generateRead(Expr ind)`
`void` | `generateWrite(Expr ind, Expr val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readMeth

    public final java.lang.String readMeth

### writeMeth

    public final java.lang.String writeMeth

Method Detail

### generateWrite

    public void generateWrite(Expr ind,
                              Expr val)

  Specified by:
    `generateWrite` in class `InterpreterGenerator.MapRep`

### generateBitWrite

    public void generateBitWrite(Expr ind,
                                 Expr b,
                                 Expr val)

  Specified by:
    `generateBitWrite` in class `InterpreterGenerator.MapRep`

### generateRead

    public void generateRead(Expr ind)

  Specified by:
    `generateRead` in class `InterpreterGenerator.MapRep`

### generateBitRead

    public void generateBitRead(Expr ind,
                                Expr b)

  Specified by:
    `generateBitRead` in class `InterpreterGenerator.MapRep`

### generateBitRangeWrite

    public void generateBitRangeWrite(Expr ind,
                                      int l,
                                      int h,
                                      Expr val)

  Specified by:
    `generateBitRangeWrite` in class `InterpreterGenerator.MapRep`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD